<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Buscadores</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>¿Comó deseas realizar tu búsqueda?</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row class="justify-center">
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row class="fill-height ma-0" align="center" justify="center">
                    <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title class="cardTitle justify-center black--text" v-text="card.title"></v-card-title>
            <v-card-subtitle class="black--text" v-text="card.description"></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  data() {
    return {
      cards: null,
      filtrosFechas:{
        fechaInicio:"",
        fechaFin:""
      },
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Revisión en Sitio",
          disabled: true,
        },
        {
          text: "Buscadores",
          disabled: true,
        }
      ],
    };
  },
  methods: {
    initCards() {
      this.cards = [
        {
          title: "Por Puntos de Venta",
          src: require("@/assets/img/certificacion-calidad/sucursal_icon.svg"),
          description: "Si deseas buscar por Puntos de Venta",
          to: {
            name: "certificacion_calidad_buscador_punto_venta"
          },
          color: "#faf9f9",
        },
        {
          title: "Por Gerentes de Certificación",
          src: require("@/assets/img/certificacion-calidad/buscador_gerente_certificacion.svg"),
          description: "Si deseas buscar por Gerentes de Certificación de Calidad",
          to: {
            name: "certificacion_calidad_buscador_gerentes"
          },
          color: "#faf9f9",
        },
        {
          
          title: "Por Certificadores",
          src: require("@/assets/img/certificacion-calidad/buscador_certificador.svg"),
          description: "Si deseas buscar por Certificadores de Calidad",
          to: {
            name: "certificacion_calidad_buscador_certificadores"
          },
          color: "#faf9f9"
        }
      ];
    },
    
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
  created() {
    this.initCards();
  },
};
</script>
